%define major      1
%define apiver     1.0
%define libname    %mklibname %name %{apiver} %{major}
%define develname  %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Summary:	An abstract SDL sound-file decoder
Name:		SDL_sound
Version:	1.0.3
Release:	%mkrel 24
Group:		System/Libraries
License:	LGPLv2+
URL:		https://www.icculus.org/SDL_sound
Source:		https://www.icculus.org/SDL_sound/downloads/%{name}-%{version}.tar.gz
Patch10:	SDL_sound-lib-m.patch
BuildRequires:	pkgconfig(sdl)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	doxygen

%description
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a file-name, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her
leisure. If resource constraints are a concern, SDL_sound can process
sound data in programmer-specified blocks. Alternately, SDL_sound can
decode a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%package -n %{libname}
Summary:	SDL graphics drawing primitives and other support functions
Group:		System/Libraries

%description -n %{libname}
SDL_sound is a library that handles the decoding of several popular
sound file formats, such as .WAV and .MP3. It is meant to make the
programmer's sound playback tasks simpler. The programmer gives
SDL_sound a file-name, or feeds it data directly from one of many
sources, and then reads the decoded waveform data back at her
leisure. If resource constraints are a concern, SDL_sound can process
sound data in programmer-specified blocks. Alternately, SDL_sound can
decode a whole sound file and hand back a single pointer to the whole
waveform. SDL_sound can also handle sample rate, audio format, and
channel conversion on-the-fly and behind-the-scenes, if the programmer
desires.

%package -n %{develname}
Summary:	Header files and more to develop SDL_sound applications
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files and more to develop SDL_sound applications.

%package -n %{staticname}
Summary:	Static SDL_sound libraries
Group:		Development/C
Requires:	%{develname} = %{version}-%{release}

%description -n %{staticname}
Static SDL_sound libraries.

%prep
%autosetup -p1

%build
touch NEWS AUTHORS ChangeLog
autoreconf -fi
export CPPFLAGS="-I%{_includedir}/libmodplug -D__EXPORT__="
%configure --enable-static
%make_build
doxygen

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/lib*%{apiver}.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGELOG TODO CREDITS docs/html
%{_libdir}/lib*.so
%{_includedir}/SDL/*

%files -n %{staticname}
%{_libdir}/lib*.a


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.3-24.mga10
+ Revision: 2216471
- Mageia 10 Mass Rebuild

* Sun Nov 20 2022 wally <wally> 1.0.3-23.mga9
+ Revision: 1909285
- rebuild for flac 1.4.2

* Fri Apr 01 2022 umeabot <umeabot> 1.0.3-22.mga9
+ Revision: 1839182
- Mageia 9 Mass Rebuild

* Mon Apr 20 2020 ovitters <ovitters> 1.0.3-21.mga8
+ Revision: 1569991
- add patch to fix linking error (yay google)

* Fri Feb 14 2020 umeabot <umeabot> 1.0.3-20.mga8
+ Revision: 1516906
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.3-19.mga7
+ Revision: 1300985
- Mageia 7 Mass Rebuild

* Sat Oct 14 2017 cjw <cjw> 1.0.3-18.mga7
+ Revision: 1171856
- fix build

* Mon Feb 08 2016 umeabot <umeabot> 1.0.3-17.mga6
+ Revision: 947673
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.3-16.mga5
+ Revision: 745985
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-15.mga5
+ Revision: 687372
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.0.3-14.mga5
+ Revision: 677657
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.3-13.mga4
+ Revision: 502412
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-12.mga3
+ Revision: 345117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 barjac <barjac> 1.0.3-11.mga3
+ Revision: 319907
- Changed group to new policy
- minor spec clean

* Mon Sep 12 2011 fwang <fwang> 1.0.3-10.mga2
+ Revision: 142658
- drop .la files

* Thu Jan 27 2011 stewb <stewb> 1.0.3-9.mga1
+ Revision: 42284
- forgot to clean mdkversion
- imported package SDL_sound


* Thu Jan 27 2011 Stew Benedict <stewbintn@gmail.com>
- initial import

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 1.0.3-7mdv2011.0
+ Revision: 550632
- rebuild for new libmodplug

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 1.0.3-6mdv2010.1
+ Revision: 500133
- rebuild

* Fri Oct 02 2009 Funda Wang <fwang@mandriva.org> 1.0.3-5mdv2010.0
+ Revision: 452455
- fix build

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for latest libphysfs

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 1.0.3-3mdv2009.0
+ Revision: 271798
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 266092
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2009.0
+ Revision: 213007
- New version 1.0.3
-drop old patches

* Fri Jan 18 2008 Götz Waschk <waschk@mandriva.org> 1.0.1-18mdv2008.1
+ Revision: 154553
- fix obsoletes again

* Thu Jan 17 2008 Götz Waschk <waschk@mandriva.org> 1.0.1-17mdv2008.1
+ Revision: 154000
- fix deps of the static devel package

  + Anssi Hannula <anssi@mandriva.org>
    - obsolete old library name

* Tue Jan 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-15mdv2008.1
+ Revision: 152282
- new license policy
- new devel library policy
- do not package COPYING file
- drop br on automake-1.7
- obsolete old library name

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.0.1-13mdv2008.0
+ Revision: 33476
- Rebuild with libslang2.


* Thu Feb 22 2007 Götz Waschk <waschk@mandriva.org> 1.0.1-12mdv2007.0
+ Revision: 124392
- fix build with libmodplug

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.0.1-11mdv2007.1
+ Revision: 94966
- Import SDL_sound

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.0.1-11mdv2007.1
- patch for new flac

* Sat Sep 09 2006 Götz Waschk <waschk@mandriva.org> 1.0.1-10mdv2007.0
- rebuild for new libphysfs

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2007.0
- rebuild for new libphysfs

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 1.0.1-8mdv2007.0
- Rebuild
- use mkrel

* Sat Jun 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.0.1-7mdk
- Rebuild

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-6mdk
- rebuild with new libflac

* Sat Nov 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-5mdk
- rebuild

* Fri Nov 12 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-4mdk
- rebuild

* Tue Aug 03 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-3mdk
- rebuild for new flac

* Sat Jun 26 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-2mdk
- rebuild for new physfs

